package com.liquidnet.service.sweet.service;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.dto.vo.IntegralActivityVo;
import com.liquidnet.service.sweet.entity.SweetIntegralActivity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 积分活动表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-10-25
 */
public interface ISweetIntegralActivityService extends IService<SweetIntegralActivity> {

    ResponseDto<List<IntegralActivityVo>> getList();

    ResponseDto<IntegralActivityVo> detail(String integralActivityId);

    ResponseDto setDrawAllList(String integralActivityId);

    ResponseDto drawBlack(String uidS);

    ResponseDto drawWhite(String uidS);
}
